Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.context
Class GUIArea

    java.lang.Object
      org.deegree.portal.context.GUIArea

    public class GUIArea

extends Object

this interface describes the content of an area of a GUI. a GUI area contains zero ... n modules described by the `Module` interface. A GUI area may be can be switched to be invisible. indicated by the hidden attribute.

Version:
  $Revision: 18195 $
Author:
  Andreas Poth

Field Summary
`static int` | `CENTER` A constant defining a 'CENTER' direction.
`static int` | `EAST` A constant defining a 'EAST' direction.
`static int` | `NORTH` A constant defining a 'NORTH' direction.
`static int` | `SOUTH` A constant defining a 'SOUTH' direction.
`static int` | `WEST` A constant defining a 'west' direction.

Constructor Summary
`GUIArea(int area, boolean hidden, int width, int height, int left, int top, int right, int bottom, boolean overlay, boolean header, boolean closable, Module[] modules)` Creates a new GUIArea instance

Method Summary
`void` | `addModul(Module module)` adds a module to a GUIArea
`int` | `getArea()` returns area (north, west, east ...) assigned to an instance
`int` | `getBottom()`
`int` | `getHeight()`
`int` | `getLeft()`
`Module` | `getModule(String name)` returns a module identified by its name
`Module[]` | `getModules()` returns all modules of a GUIArea
`int` | `getRight()`
`int` | `getTop()`
`int` | `getWidth()`
`boolean` | `hasHeader()`
`boolean` | `isClosable()`
`boolean` | `isHidden()` returns true if the GUIArea is hidden.
`boolean` | `isOverlay()`
`Module` | `removeModule(String name)` reomes a module identified by its name from the GUIArea
`void` | `setArea(int area)` sets the name of a module
`void` | `setBottom(int bottom)`
`void` | `setClosable(boolean closable)`
`void` | `setHeader(boolean header)`
`void` | `setHeight(int height)`
`void` | `setHidden(boolean hidden)` sets the GUIArea to be hidden or visible.
`void` | `setLeft(int left)`
`void` | `setModules(Module[] modules)` sets the modules of a GUIArea
`void` | `setOverlay(boolean overlay)`
`void` | `setRight(int right)`
`void` | `setTop(int top)`
`void` | `setWidth(int width)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### WEST

    public static final int WEST

  A constant defining a 'west' direction.

  See Also:
    Constant Field Values

### EAST

    public static final int EAST

  A constant defining a 'EAST' direction.

  See Also:
    Constant Field Values

### SOUTH

    public static final int SOUTH

  A constant defining a 'SOUTH' direction.

  See Also:
    Constant Field Values

### NORTH

    public static final int NORTH

  A constant defining a 'NORTH' direction.

  See Also:
    Constant Field Values

### CENTER

    public static final int CENTER

  A constant defining a 'CENTER' direction.

  See Also:
    Constant Field Values

Constructor Detail

### GUIArea

    public GUIArea(int area,
                   boolean hidden,
                   int width,
                   int height,
                   int left,
                   int top,
                   int right,
                   int bottom,
                   boolean overlay,
                   boolean header,
                   boolean closable,
                   Module[] modules)

  Creates a new GUIArea instance

  Parameters:
    `area` -
    `hidden` -
    `width` -
    `height` -
    `left` -
    `top` -
    `right` -
    `bottom` -
    `overlay` -
    `header` -
    `closable` -
    `modules` -

Method Detail

### getArea

    public int getArea()

  returns area (north, west, east ...) assigned to an instance

  Returns:
    area

### setArea

    public void setArea(int area)

  sets the name of a module

  Parameters:
    `area` -

### isHidden

    public boolean isHidden()

  returns true if the GUIArea is hidden.

  Returns:
    true if area is hidden

### setHidden

    public void setHidden(boolean hidden)

  sets the GUIArea to be hidden or visible.

  Parameters:
    `hidden` -

### getBottom

    public int getBottom()

  Returns:
    the bottom

### setBottom

    public void setBottom(int bottom)

  Parameters:
    `bottom` - the bottom to set

### getLeft

    public int getLeft()

  Returns:
    the left

### setLeft

    public void setLeft(int left)

  Parameters:
    `left` - the left to set

### getRight

    public int getRight()

  Returns:
    the right

### setRight

    public void setRight(int right)

  Parameters:
    `right` - the right to set

### getTop

    public int getTop()

  Returns:
    the top

### setTop

    public void setTop(int top)

  Parameters:
    `top` - the top to set

### isOverlay

    public boolean isOverlay()

  Returns:
    the overlay

### setOverlay

    public void setOverlay(boolean overlay)

  Parameters:
    `overlay` - the overlay to set

### isClosable

    public boolean isClosable()

  Returns:
    the closable

### setClosable

    public void setClosable(boolean closable)

  Parameters:
    `closable` - the closable to set

### hasHeader

    public boolean hasHeader()

  Returns:
    the header

### setHeader

    public void setHeader(boolean header)

  Parameters:
    `header` - the header to set

### getHeight

    public int getHeight()

  Returns:
    the height

### setHeight

    public void setHeight(int height)

  Parameters:
    `height` - the height to set

### getWidth

    public int getWidth()

  Returns:
    the width

### setWidth

    public void setWidth(int width)

  Parameters:
    `width` - the width to set

### getModule

    public Module getModule(String name)

  returns a module identified by its name

  Parameters:
    `name` -
  Returns:
    named module

### getModules

    public Module[] getModules()

  returns all modules of a GUIArea

  Returns:
    all modules

### setModules

    public void setModules(Module[] modules)

  sets the modules of a GUIArea

  Parameters:
    `modules` -

### addModul

    public void addModul(Module module)

  adds a module to a GUIArea

  Parameters:
    `module` -

### removeModule

    public Module removeModule(String name)

  reomes a module identified by its name from the GUIArea

  Parameters:
    `name` -
  Returns:
    removed module

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org